#include "core/audio/audio_adapter.hpp"

#include "core/resources/resource_cache.hpp"

namespace AudioResource {
    JA_Music_t* getMusic(const std::string& name) {
        return Resource::Cache::get()->getMusic(name);
    }

    JA_Sound_t* getSound(const std::string& name) {
        return Resource::Cache::get()->getSound(name);
    }
}  // namespace AudioResource
